#
# spec file for package gtans (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         gtans
Copyright:    GPL
Group:        X11/Games
Requires:     gtk >= 1.2.1
Autoreqprov:  on
Version:      1.1
Release:      60
Source0:      %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
URL:          http://gtans.sourceforge.net/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      The Tangram - chinese puzzle

%description
The Tangram is a chinese puzzle. The object is to put seven geometric
shapes together so as to form a given outline. All the pieces must be used
and are laid next to one another. The pieces are five triangles, a square
and a parallelogram.

Authors:
--------
    Philippe Banwarth <bwt@altern.org>

SuSE series: gnm

%prep
%setup
%patch

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
 

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_prefix}/bin/*
%doc %{_mandir}/man6/*
%doc AUTHORS COPYING INSTALL
%{_prefix}/share/gnome/apps/Games/*
%{_prefix}/share/gtans
%{_prefix}/share/locale/es/LC_MESSAGES/*
%{_prefix}/share/locale/fr/LC_MESSAGES/*
%{_prefix}/share/pixmaps/*

%changelog -n gtans
* Wed Jun 20 2001 - rvasice@suse.cz
- fixed neededforbuild section
* Mon Jun 18 2001 - rvasice@suse.cz
- initial package release (version 1.1)
